List funding accounts
curl --request GET \
--url https://api.engine.usesophic.com/accounts/{account_id}/funding-accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.engine.usesophic.com/accounts/{account_id}/funding-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.engine.usesophic.com/accounts/{account_id}/funding-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"bank_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"currency": "EUR",
"iban": "<string>",
"id": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"owner_name": "<string>",
"is_verified": false,
"nickname": "<string>"
}
]{
"code": "<string>",
"detail": "<string>",
"context": {},
"docs": "<string>",
"params": [
{
"code": "<string>",
"detail": "<string>",
"path": [
123
]
}
]
}Payments
List funding accounts
Retrieve the funding bank accounts registered on the parent account. Funding accounts are automatically registered using the bank details from a deposit when received. These can be used to withdraw funds out of the account.
GET
/
accounts
/
{account_id}
/
funding-accounts
List funding accounts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
OK
The bank code, such as a BIC or SWIFT code.
The currency of the funding account.
Available options:
EUR, USD, GBP The IBAN of the funding account.
Unique resource identifier.
The owner name as specified by the bank on the funding account.
Whether ownership of the funding account is verified.
The user-provided nickname for the funding account.